Subject: Re: Config Problem with wu-ftpd 2.4?

From: [email-masked] (Andrea Actis)
Date: Wed, 08 Mar 1995 20:05:51 +0100

Greetings,
>
>I have configured the wu-ftpd 2.4 for aix 3.2.5 and am currently
>ironing out some problems I have encountered.
>
>I am able to ftp to the site I have set up, but it appears that the
>'dir' and 'ls -l' commands do not function properly.
>
>When I issue a 'ls', the server returns:
>
>200 PORT command successful.
>150 Opening ASCII mode data connection for /bin/ls.
>bin
>etc
>pub
>incoming
>universe
>226 Transfer complete.
>
>When I ussue a 'ls -l' from the client system, the server returns:
>
>200 PORT command successful.
>150 Opening ASCII mode data connection for /bin/ls.
>226 Transfer complete.
>
>When I issue a 'dir' from the client system, the server returns:
>
>200 PORT command successful.
>150 Opening ASCII mode data connection for /bin/ls.
>226 Transfer complete.
>
>Do I have something mis-configured (Probably!).
>
>Any hints from those in the know?

Look for any shared library needed on your platform, probably under
~ftp/usr/lib because ls is do internally by the wu-ftpd daemon otherwise "ls
-l" or DIR is do by calling external command "ls", also look for the ls
binary in your ~ftp/bin.

Look also on the man page of standard FTP daemon, normally on it is specify
the needed file executable and library needed in ftp hierarchy.

This a FAQ :) (But not many time ago i have made the same request ;)

Best regards
----------------------------------------------------------------------
Andrea Actis Oreglia                               [email-masked]
                                     http://drogo.cselt.stet.it/~actis
CENTRO STUDI E LABORATORI TELECOMUNICAZIONI S.p.A.

ITALY - 10148 TORINO - Via G. Reiss Romoli, 274 - TEL. (0039) 11-2285111
TELEX 220539 CSELTI - FAX (0039) 11-2285520 GR. 3